/*  Misfit Model 3D
 * 
 *  Copyright (c) 2004 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 *
 *  See the COPYING file for full license text.
 */


#ifndef __STARTPROMPT_H
#define __STARTPROMPT_H

#include "startprompt.base.h"

class QAccel;

class StartPrompt : public StartPromptBase
{
      Q_OBJECT
   public:
      StartPrompt( QWidget * parent = NULL, const char * name = "" );
      virtual ~StartPrompt();

      bool shouldExit() { return m_shouldExit; };

   public slots:
      void helpNowEvent( int );

      void openSelectedClicked();
      void openFileClicked();
      void newModelClicked();
      void exitClicked();

      void updateButtons();

   protected:
      QAccel * m_accel;
      bool m_shouldExit;
};

#endif // __STARTPROMPT_H
